proc sample_module_init {} {
    #Creating menu buttons
    .menubar.module.menu add command -label "Sample Module" -command "sampleModule"
}

proc sample_module_remove {} {
    #Remove menu buttons
    .menubar.module.menu delete "Sample Module"
}

proc sampleModule {} {
    global env
    
    if {$env(dbName) ne " "} {
        set t .sampleModule
        catch {destroy $t}
        toplevel $t
        wm title $t "Sample Module"
        wm resizable $t 0 0
        wm attributes $t -topmost 1
        
        frame $t.ptitle
        label $t.ptitle.label1 -text "This is a sample module."
        label $t.ptitle.label2 -text "Selected database:\n\n$env(dbName)\n"
        
        frame $t.buts -bd 2 -relief groove
        button $t.buts.close -text "Close" -command "destroy $t"
        
        pack $t.ptitle.label1 $t.ptitle.label2 -side top -fill both
        pack $t.buts.close -side left -expand 1 -anchor c
        pack $t.ptitle $t.buts -side top -fill both
        
        wm geometry $t +[expr [winfo rootx .]+[winfo width .]/2]+[expr [winfo rooty .]+[winfo height .]/2]
        raise $t
    } else {
        ::errorPopUp "Error" "No database selected."
    }
}